[Android]Firebaseをプロジェクトに追加できない場合の対処法(Could not parse the Android Application Module’s Gradle config. Resolve gradle build issues and/or resync.)

これはAndroid Studioが3.0より古いバージョンで作ったプロジェクトで起こりうる話のようです。

Android Studioではアシスタント機能を使って、Firebaseをプロジェクトに自動で追加することができますが、

 

そうしようとすると、こんなエラーが出て、追加できない状況に陥る場合があります。

 

build.gradleファイルの「compile」を「implementation」に変更すれば解決

実はこの現象は、2018年末までに対応しないと危険なこいつと同じようです。

[st-card id=10020 label=”” name=”” bgcolor=”” color=”” readmore=”on”]

ですので、同じように、Android Studio3.0より古いバージョンで作ったプロジェクトについては、ライブラリの依存関係が設定されている「build.gradle」ファイル(主にアプリレベル(モジュールレベル))で、

「compile」を

「implementation」に変えてやりましょう。

 

そうすると、ちゃんとアシスタント機能でFirebaseを追加できるようになります。

理由はこちら(再掲)

(詳しくは下の動画で解説していますので、よろしければご覧ください)

 

こんな記事も読まれています

おすすめコンテンツ




Flutter(フラッター)


みんプロ作成アプリ




TOP